package depart.maquettes;

import java.util.List;

import ca.ntro.app.Ntro;

public class MaquettePartie {

	private static String idJoueur = "alice";

	public static String idJoueur() {

		List<String> choixDeId = List.of("alice", 
									     "bob", 
									     "chaaya", 
									     "dominic", 
									     "élisabeth", 
									     "firas", 
									     "gregson",
									     "mehdi",
									     "louis",
									     "marcel",
									     "ashwin",
									     "ichiro",
									     "jun");

		idJoueur = Ntro.random().choice(choixDeId);

		return idJoueur;

	}

	public static String nomJoueur() {
		return idJoueur.substring(0,1).toUpperCase() + idJoueur.substring(1);
	}

	public static int scoreAuHasard() {
		return Ntro.random().nextInt(10);
	}
}
